define({"0":{y:0,u:"../Content/CmdRef/about.html",l:-1,t:"How to use this guide | Helix Core command-line client",i:0.0831560943328233,a:"How to use this Guide  This section provides  navigation tips and  information on typographical conventions, feedback options, and additional documentation. Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the ..."},"1":{y:0,u:"../Content/CmdRef/about.whatsnew.html",l:-1,t:"What’s new in the Helix Core Command-Line (P4) Reference",i:0.000919151786512353,a:"This section provides a summary with links to topics in this Helix Core P4 Command Reference. For a complete list of what\u0027s new in this release, see the  Release Notes . 2021.2 release (Technical Preview) The  p4 topology  command lists information about all the servers that are connected to the ..."},"2":{y:0,u:"../Content/CmdRef/chapter.introduction.html",l:-1,t:"Getting started with commands",i:0.000919151786512353,a:"Getting started with commands This book contains reference material for       users and administrators of the\n      Helix Core Server, also referred to as Helix Server. "},"3":{y:0,u:"../Content/CmdRef/Commands by Functional Area.html",l:-1,t:"Commands by functional area",i:0.000923537327907659,a:"Commands by functional area Functional areas See also  Graph depot commands ."},"4":{y:0,u:"../Content/CmdRef/graphdepotcommands.html",l:-1,t:"Graph depot commands",i:0.00126472354636026,a:"In addition to command-line help, you can use this book\u0027s topics on the: graph depot version of classic commands -  Commands that differ for graph depots commands that are for graph depots only -  Graph depot commands p4 help-graph On the command-line, to display help for the graph data model that ..."},"5":{y:0,u:"../Content/CmdRef/introduction.help.html",l:-1,t:"Getting help with p4 help",i:0.000919151786512353,a:"In addition to the material in this manual, you can get help\n      for\n      Helix Core Server      commands by using the  p4\n\t    help command, which provides information about individual\n      commands or for areas like jobs, revisions, or file\n      types. The output to the  p4 help\n      command ..."},"6":{y:0,u:"../Content/CmdRef/introduction.aliases.html",l:-1,t:"Command aliases",i:0.00197465412097589,a:"A small set of\n      \n      commands have predefined aliases. For example, you can use  p4\n\t  integ for  p4 integrate, or you can use\n       p4 changes for  p4 changelists.\n      You can also define your own aliases for commands, and these can range\n      from simple word substitutions to what might ..."},"7":{y:0,u:"../Content/CmdRef/introduction.aliases.defining.html",l:-1,t:"Defining aliases",i:0.000919151786512353,a:"Command aliases are defined in an alias file. To define one or\n      more aliases, you do the following: Create a file named .p4aliases in your home directory\n\t  (p4aliases.txt in Windows). (The file is stored in your $HOME directory on Unix and\n\t  Mac systems, and in your $USERPROFILE directory ..."},"8":{y:0,u:"../Content/CmdRef/introduction.syntax.alias.html",l:-1,t:"Command alias syntax",i:0.000919151786512353,a:"The definition of a command alias can be complex. This section\n      describes the basic syntax for defining a command alias and introduces\n      the elements that you can use in a definition. The sections that follow\n      provide examples for defining       complex aliases. In its simplest form, ..."},"9":{y:0,u:"../Content/CmdRef/introduction.aliases.basic.html",l:-1,t:"Basic examples",i:0.000919151786512353,a:"This section provides examples of simple command alias definitions and\n      illustrates the many uses for even the simplest definitions. Help me remember who I am. \nme = set P4USER Help me feel more comfortable as a user of another source control\n\t    system. \ncheckout = sync\ncommit = submit\npurge ..."},"10":{y:0,u:"../Content/CmdRef/introduction.aliases.complex.html",l:-1,t:"Complex examples",i:0.000919151786512353,a:"More complex alias commands can be formed using redirection and special\n      operators. Cherry picking. This alias definition: \ncherry-pick-change $(cl) $(s) $(t) = integrate //depot/$(s)/...@$(cl),$(cl) //depot/$(t)/... turns the command: \n$ p4 cherry-pick-change 1015978 p15.2 main into: \n$ p4 ..."},"11":{y:0,u:"../Content/CmdRef/introduction.aliases.together.html",l:-1,t:"Putting it all together",i:0.000919151786512353,a:"Combining the various elements allows you to build\n      aliases. Make a new task stream If your streams are stored in the depot named //stream,\n\t  here’s how you would make a new task stream: \nnewTaskStream $(task) $(parent) = stream -o -t task -P //stream/$(parent) \\\n                            ..."},"12":{y:0,u:"../Content/CmdRef/introduction.aliases.previewing.html",l:-1,t:"Previewing alias\n      substitutions",i:0.00170043595657405,a:"Use the client-side command option --aliases=dry-run to\n      display the command or commands that would have run without actually\n      running them. For example, if your alias file contains the following: \ndelete-stream $(branch) = stream -d //stream/$(branch) \u0026\u0026\n                        obliterate ..."},"13":{y:0,u:"../Content/CmdRef/introduction.aliases.advanced.html",l:-1,t:"Advanced topics",i:0.0013097938715432,a:"This section describes more advanced uses of command aliases. Editing specifications The p4subst special operator allows you to edit specs. It\n      is roughly analogous to doing the following in a shell pipeline: \n| sed \u0027s/regular_expression/literal/g\u0027 The p4subst special operator should normally ..."},"14":{y:0,u:"../Content/CmdRef/introduction.aliases.limitations.html",l:-1,t:"Limitations",i:0.0013097938715432,a:"Aliases can be very powerful. Be mindful of consequences: Multi-command chains in an alias are different than shell pipelines.\n\tEach sub-command in a shell pipeline is started by the shell as a\n\tseparate child process, and their input and output is connected using\n\toperating system constructs. A ..."},"15":{y:0,u:"../Content/CmdRef/introduction.naming.conventions.html",l:-1,t:"Naming conventions",i:0.000919151786512353,a:"Naming conventions Clients, depots, labels, and branches may not have the same\n\tname. The following names are reserved and cannot be used to name\n\tanything: head, have, none. The following table provides some suggestions:"},"16":{y:0,u:"../Content/CmdRef/introduction.scripts.html",l:-1,t:"Creating scripts",i:0.000919151786512353,a:"In addition to chaining commands in an alias to create a light script,\n      you can combine the commands described in this manual in scripts.\n The     Helix Core Server\n      supports  Triggers, which are user-written scripts called by a\n      Helix Server whenever certain operations occur. ..."},"17":{y:0,u:"../Content/CmdRef/commands-and-metadata.html",l:-1,t:"Commands and metadata",i:0.000919151786512353,a:"Commands and metadata Some commands write metadata to the database. Other commands read metadata from the database. commands that write metadata can create things commands that read metadata can report about what has been created Examples:  "},"18":{y:0,u:"../Content/CmdRef/commands.html",l:-1,t:"Commands",i:0.00123901980690167,a:"Click a letter A  —  B  —  C  —  D  —  E  —  F  —  G  —  H  —  I  —  J  —  K  —  L  —  M  —  O  —  P  —  R  —  S  —  T  —  U  —  V  —  W  —  Z A p4 add p4 add (graph) p4 admin p4 aliases p4 annotate p4 archive p4 attribute B p4 bgtask p4 branch p4 branches C p4 cachepurge p4 change p4 changelist p4 ..."},"19":{y:0,u:"../Content/CmdRef/p4_add.html",l:-1,t:"p4 add",i:0.0108605341481684,a:"Open files in a client workspace for addition to the depot. Syntax conventions p4 [g-opts] add [-c changelist] [-d -f -I -n] [-t\n\t  filetype] file ... Description p4 add opens files within the client workspace for\n      addition to the depot. The specified files are linked to a changelist.\n     The ..."},"20":{y:0,u:"../Content/CmdRef/p4_add_graph.html",l:-1,t:"p4 add (graph)",i:0.000939997754927864,a:"Open a new file to add it to the repo. Syntax conventions p4 [g-opts] add [-c changelist -n -t\n\t  filetype] file ... Description Open a file for adding to the depot. To associate the open files with a specific pending changelist, use the -c flag. If you omit the -c flag, the open files are ..."},"21":{y:0,u:"../Content/CmdRef/p4_admin.html",l:-1,t:"p4 admin",i:0.0030014312804881,a:"Perform administrative operations on the server. Syntax conventions p4 [g-opts] admin checkpoint [-z | -Z] [prefix] p4 [g-opts] admin journal [-z] [prefix] p4 [g-opts] admin stop p4 [g-opts] admin restart p4 [g-opts] admin updatespecdepot [-a | -s type] p4 [g-opts] admin resetpassword -a | -u user ..."},"22":{y:0,u:"../Content/CmdRef/p4_aliases.html",l:-1,t:"p4 aliases",i:0.000967822349000619,a:"Display command aliases that are currently defined in a\n      .p4aliases file. For complete information, see\n       Command aliases . Syntax conventions p4 [g-opts] aliases Description The .p4alias file contains the definitions of the command\n      aliases you have created. The command output for  ..."},"23":{y:0,u:"../Content/CmdRef/p4_annotate.html",l:-1,t:"p4 annotate",i:0.00134014096140319,a:"Print file lines along with their revisions. By default, ignores changes to text files over 10 MB in length.\n      \n       Superusers of Helix Server can override this limit by setting the\n       dm.annotate.maxsize configurable. Syntax conventions p4 [g-opts] annotate [-a -c -i -I -q -t -T -u] ..."},"24":{y:0,u:"../Content/CmdRef/p4_archive.html",l:-1,t:"p4 archive",i:0.00339244436581818,a:"Archive obsolete revisions to an archive depot. Syntax conventions p4 [g-opts] archive [-n -h -p -q -t  -z ] -D depot  FileSpec[ revSpec] Description This command enables a Helix Core Server user with admin access to move the specified revisions into a depot of type\n      archive. When files are ..."},"25":{y:0,u:"../Content/CmdRef/p4_attribute.html",l:-1,t:"p4 attribute",i:0.00297500312085592,a:"Set per-revision attributes on revisions Syntax conventions p4 [g-opts] attribute [-e -f -p] -n name [-v value] files ... p4 [g-opts] attribute [-e -f -p] -i -n name file Description The  p4 attribute command sets per-revision\n      attributes on file revisions. To display attributes, use  p4\n\t    ..."},"26":{y:0,u:"../Content/CmdRef/p4_bgtask.html",l:-1,t:"p4 bgtask",i:0.00161117600208593,a:"Run background commands or triggers on the server. Syntax conventions p4 bgtask [-b -d -i -m -w] [-e -t ] Description Enables a Helix Core superuser on the p4 command-line client to run commands or programs remotely on the server in the background.   The server saves output to the server log file.   ..."},"27":{y:0,u:"../Content/CmdRef/p4_branch.html",l:-1,t:"p4 branch",i:0.00330018444767316,a:"Create or edit a branch mapping and its view. Syntax conventions p4 [g-opts] branch [-f] branchspec p4 [g-opts] branch -d [-f] branchspec p4 [g-opts] branch -i [-f]\n p4 [g-opts] branch [-S stream] -o placeholderForStreamBranchSpecName\n p4 [g-opts] branch [-S stream -P parent] -o ..."},"28":{y:0,u:"../Content/CmdRef/p4_branches.html",l:-1,t:"p4 branches",i:0.00203576905869433,a:"List existing branch mappings. Syntax conventions p4 [g-opts] branches [[-e | -E] filter] [-m max][-t] [-u user | --me] Description Print the list of all branch mappings currently known to the system. Use the -m max option to limit the output to the\n      first  max branch mappings. Use the -e or -E ..."},"29":{y:0,u:"../Content/CmdRef/p4_cachepurge.html",l:-1,t:"p4 cachepurge",i:0.00115467127236417,a:"Reclaim disk space on a replicated server. Syntax conventions p4 [g-opts] cachepurge -a [-n -R -O] [-i n] [-S n] [-D file ...] p4 [g-opts] cachepurge -f n [-n -R -O] [-i n] [-S n] [-D file ...] p4 [g-opts] cachepurge -m n [-n -R -O] [-i n] [-S n] [-D file ...] p4 [g-opts] cachepurge -s n [-n -R -O] ..."},"30":{y:0,u:"../Content/CmdRef/p4_change.html",l:-1,t:"p4 change",i:0.00588377455011594,a:"Create or edit a changelist specification. The command  p4\n\t    changelist is an alias for  p4\n\t  change. Syntax conventions p4 [g-opts] change [-s] [-f | -u] [[-O] changelist] p4 [g-opts] change -d [-fsO] changelist p4 [g-opts] change -o [-sf] [[-O] changelist ] p4 [g-opts] change -i [-s] [-f | -u] ..."},"31":{y:0,u:"../Content/CmdRef/p4_changelist.html",l:-1,t:"p4 changelist",i:0.00119953937240068,a:"Create or edit a changelist specification. Syntax conventions p4 [g-opts] change [-s] [-f | -u] [[-O] changelist] p4 [g-opts] change -d [-fsO] changelist p4 [g-opts] change -o [-sf] [[-O] changelist] p4 [g-opts] change -i [-s] [-f | -u] p4 [g-opts] change -t restricted | public [-U user] [-fuO] ..."},"32":{y:0,u:"../Content/CmdRef/p4_changelists.html",l:-1,t:"p4 changelists",i:0.00145153919165294,a:"p4 changelists List submitted and pending changelists. Syntax conventions p4 [g-opts] changelists [-i -t -l -L -f] [-c client] [-m max] [-s status] \n                         [-u user] [[ FileSpec][ revSpec]] Description The command  p4 changelists is an alias for  p4 changes."},"33":{y:0,u:"../Content/CmdRef/p4_changes.html",l:-1,t:"p4 changes",i:0.00368984655651912,a:"List submitted and pending changelists. The command  p4\n\t    changelists is an alias for  p4\n\t  changes. Syntax conventions p4 [g-opts] changes [-i -t -l -L -f] [-c client] [ -e changelist#][-m max] \n                     [-r] [-s status] [-u user | --me] [[ FileSpec][ revSpec]] Description Use  p4 ..."},"34":{y:0,u:"../Content/CmdRef/p4_check_permission.html",l:-1,t:"p4 check-permission (graph)",i:0.00160651127806876,a:"Check access permission granted to a user of a repo. For depots of type graph only. Syntax conventions p4 check-permission -n //repo/name -u user [-r ref] -p permission \np4 check-permission -n //repo/name -u user [-r ref] -p all Description Administrator or super user can use this command to check ..."},"35":{y:0,u:"../Content/CmdRef/p4_clean.html",l:-1,t:"p4 clean",i:0.00121852478112055,a:"Restore workspace files to match the state of corresponding depot\n      files. The  p4 clean command is equivalent to the\n       p4 reconcile -w command. Syntax conventions p4 [g-opts] clean [-e -a -d -I -m -l -n] [file ...] Description The  p4 clean command takes the following actions\n      when ..."},"36":{y:0,u:"../Content/CmdRef/p4_client.html",l:-1,t:"p4 client",i:0.0103924896216458,a:"Create or edit a client workspace specification and its view. The command  p4\n\t    workspace is an alias for  p4\n\t  client. Syntax conventions p4 [g-opts] client [-f] [-t template] [-T type] [clientname] p4 [g-opts] client -o [-t template] [-T type] [clientname] p4 [g-opts] client -d [-f ..."},"37":{y:0,u:"../Content/CmdRef/p4_client_graph.html",l:-1,t:"p4 client (graph)",i:0.00152241150214334,a:"Create or edit a client workspace specification The command  p4\n\t    workspace is an alias for  p4\n\t  client. Syntax conventions p4 [g-opts] client  [-f] [-t template] -T graph [graphClientName] p4  [g-opts] client -o [-f] [-t template] -T graph [graphClientName] Description To modify Graph Depot ..."},"38":{y:0,u:"../Content/CmdRef/p4_clients.html",l:-1,t:"p4 clients",i:0.00288760900672587,a:"List all client workspaces currently known to the system. Syntax conventions p4 [g-opts] clients [-t] [-u user | --me] [[-e|-E] filter] [-m max] \n             [-S stream]  [-a | -s serverID] p4 [g-opts] clients -U Description p4 clients lists all the client workspaces known to\n      the Helix Core ..."},"39":{y:0,u:"../Content/CmdRef/p4_clone.html",l:-1,t:"p4 clone",i:0.00116660369158776,a:"Clone a new local\n      Helix Server from a remote server. Syntax conventions p4 [-u user] [-d dir] [-c client] clone [-m depth] [-v] -p port -r remote p4 [-u user] [-d dir] [-c client] clone [-m depth] [-v] -p port -f filespec Description When you clone from a remote server, you copy the portion of ..."},"40":{y:0,u:"../Content/CmdRef/p4_configure.html",l:-1,t:"p4 configure",i:0.0111751810803135,a:"Set, view, and manage server configuration variables. Syntax conventions p4 [g-opts] configure set [server_id#]variable=value p4 [g-opts] configure unset [server_id#]variable p4 [g-opts] configure show [allservers | variable] \np4 [g-opts] configure history [allservers | variable] Description ..."},"41":{y:0,u:"../Content/CmdRef/p4_copy.html",l:-1,t:"p4 copy",i:0.00179983873586377,a:"Copy files and/or the stream spec from one location in the depot to another. Syntax conventions p4 [g-opts] copy [-c change] [-n -f -v -q] [-m max] fromFile[rev] toFile p4 [g-opts] copy [-c change] [-n -f -v -q] [-m max] -b branch [-r] \n                  [toFile[rev] ...] p4 [g-opts] copy [-c ..."},"42":{y:0,u:"../Content/CmdRef/p4_counter.html",l:-1,t:"p4 counter",i:0.00411604366951936,a:"Access, set, increment, or delete a persistent variable. Syntax conventions p4 [g-opts] counter countername p4 [g-opts] counter [-f -v] countername value p4 [g-opts] counter [-f] -d countername p4 [g-opts] counter [-f -v] -i countername p4 [g-opts] counter [-f] -m [pair list] p4 [g-opts] counter ..."},"43":{y:0,u:"../Content/CmdRef/p4_counters.html",l:-1,t:"p4 counters",i:0.00255305757596584,a:"Display list of long-term variables used by\n      Helix Server\n      and associated scripts. Syntax conventions p4 [g-opts] counters [-e nameFilter] [-m max] Description Helix Server\n      uses counters as variables to store the number of the last submitted\n      changelist and the number of the ..."},"44":{y:0,u:"../Content/CmdRef/p4_cstat.html",l:-1,t:"p4 cstat",i:0.0012163771308417,a:"Dump change/sync status for current client workspace. Syntax conventions p4 [g-opts] cstat [files ...] Description The  p4 cstat command lists changes that are\n      required, already synced, or partially synced to the current client\n      workspace. The output is returned in the tagged format used ..."},"45":{y:0,u:"../Content/CmdRef/p4_dbschema.html",l:-1,t:"p4 dbschema",i:0.00166348790542308,a:"Report information about metadata in the\n      \n      database on the Helix Server. Syntax conventions p4 [g-opts] dbschema [tablename[:tableversion]]... p4 [g-opts] dbschema [-A] [tablename]... Description The  p4 dbschema command is intended for systems integrators. This command provides tagged ..."},"46":{y:0,u:"../Content/CmdRef/p4_dbstat.html",l:-1,t:"p4 dbstat",i:0.00180607461041311,a:"Display size or simple statistics for one or more database tables. Syntax conventions p4 [g-opts] dbstat [-h][-f] {-a | dbtable ...} p4 [g-opts] dbstat -s Description The  p4 dbstat command displays statistics on the\n      internal state of the\n      \n      database on the Helix Server. The  dbtable ..."},"47":{y:0,u:"../Content/CmdRef/p4_dbverify.html",l:-1,t:"p4 dbverify",i:0.00129460310629147,a:"Perform low-level verification of the database tables. Syntax conventions p4 [g-opts] dbverify [-t db.tablename] [-U][-v] Description The  p4 dbverify command performs a series of\n      low-level structural integrity checks on the\n      \n      database tables. Run this command periodically to ..."},"48":{y:0,u:"../Content/CmdRef/p4_delete.html",l:-1,t:"p4 delete",i:0.00609735431759547,a:"Open file(s) in a client workspace for deletion from the depot. Syntax conventions p4 [g-opts] delete [-c changelist] [-n -k -v] [--remote=remote] file ... Description The  p4 delete command opens file(s) in a client\n      workspace for deletion from the depot. The files are immediately removed\n     ..."},"49":{y:0,u:"../Content/CmdRef/p4_delete_graph.html",l:-1,t:"p4 delete (graph)",i:0.000939997754927864,a:"p4 delete (graph) Delete an existing file from the repo. Syntax conventions p4 delete [-c changelistNumber] file ... Description Opens a repo file for deletion. If the file is synced in the client workspace, it is removed. Options"},"50":{y:0,u:"../Content/CmdRef/p4_depot.html",l:-1,t:"p4 depot",i:0.00405389470920299,a:"Create or edit a depot specification. A branch, depot, label, and workspace may not share the same name. Syntax conventions p4 [g-opts] depot [-t type] depotname p4 [g-opts] depot -d [-f] depotname p4 [g-opts] depot -o [-t type] depotname p4 [g-opts] depot -i This command behaves differently for ..."},"51":{y:0,u:"../Content/CmdRef/p4_depots.html",l:-1,t:"p4 depots",i:0.00156036382678552,a:"Display a list of depots known to the\n      Helix Server. Syntax conventions p4 [g-opts] depots [[-e | -E] nameFilter] -t type] Description Display a list of depots. The list excludes the default  graph depot  named repo unless you use the command, p4 depot -t graph If a depot is excluded in the ..."},"52":{y:0,u:"../Content/CmdRef/p4_describe.html",l:-1,t:"p4 describe",i:0.00533210311676228,a:"Provides information about changelists, as well as files in the changelists, and the path of the open stream, if a stream is open. Syntax conventions p4 [g-opts] describe [-doptions] [-a -f -I -m -O -s -S] changelist ... Description p4 describe displays the details of one or more\n      changelists. ..."},"53":{y:0,u:"../Content/CmdRef/p4_describe_graph.html",l:-1,t:"p4 describe (graph)",i:0.00163478821617287,a:"Display a commit description. Syntax conventions p4 describe -n //repo/name  [-a -doptions -s]  sha Description Display information about the specified commit.  Specify the repo name after -n sha is the corresponding sha1 of the commit For commits that include a submodule version change, see  ..."},"54":{y:0,u:"../Content/CmdRef/p4_diff.html",l:-1,t:"p4 diff",i:0.00517706450114134,a:"Diff utility for comparing workspace content to depot content. (For comparing two depot paths, see  p4 diff2 .) Also for stream spec comparison. Syntax conventions p4 [g-opts] diff [-doptions] [-f -t -Od] [-m max] [-soptions] [file[rev] ...] p4 [g-opts] diff [-doptions] -As [streamname[@change]] ..."},"55":{y:0,u:"../Content/CmdRef/p4_diff_graph.html",l:-1,t:"p4 diff (graph)",i:0.00163478821617287,a:"Diff utility for comparing workspace content to repo content. (For comparing two repo paths, see  p4 diff2 (graph) .) Syntax conventions p4 diff [-doptions -soptions file ...] Description On the client machine, diff a client file against the corresponding revision in the repo. The file is compared ..."},"56":{y:0,u:"../Content/CmdRef/p4_diff2.html",l:-1,t:"p4 diff2",i:0.00526532748646679,a:"Diff utility for comparing the content at two depot paths. (For comparing workspace content to depot content, see  p4 diff .) You can specify the source and the target files  on the command line or through a branch view. Also compares two arbitrary stream specs with the -As option. Syntax ..."},"57":{y:0,u:"../Content/CmdRef/p4_diff2_graph.html",l:-1,t:"p4 diff2 (graph)",i:0.00163478821617287,a:"Diff utility for comparing the content at two repo paths. (For comparing workspace content to repo content, see  p4 diff (graph) .) Syntax conventions p4 diff2 [options] fromFile[@sha1|@reference] tofile[@sha1|@reference] Description p4 diff2 runs on the server to compare one set of graph repo files ..."},"58":{y:0,u:"../Content/CmdRef/p4_dirs.html",l:-1,t:"p4 dirs",i:0.00094438329632317,a:"List the immediate subdirectories of the specified depot directories. Syntax conventions p4 [g-opts] dirs [-C -D -H] [-S stream] [-i] depot_directories*[ revSpec] Description Use  p4 dirs to find the immediate subdirectories of\n      any depot directories provided as arguments.  The ..."},"59":{y:0,u:"../Content/CmdRef/p4_dirs_graph.html",l:-1,t:"p4 dirs (graph)",i:0.000939997754927864,a:"List repo subdirectories. Syntax conventions p4 dirs [-i] dir[@reference] ... Description List directories that match the specified file pattern (dir). This command supports wildcards (\u0027...\u0027, \u0027*\u0027). By default, all directories containing files are listed. If the dir argument includes a reference, ..."},"60":{y:0,u:"../Content/CmdRef/p4_diskspace.html",l:-1,t:"p4 diskspace",i:0.00129898864768678,a:"Display disk space information on the server. p4 df is an alias for  p4\n\t  diskspace. Syntax conventions p4 [g-opts] diskspace [P4ROOT | P4JOURNAL | P4LOG | TEMP | journalPrefix | depot]  Description Shows summary information about the current availability of disk space\n      on the server. The ..."},"61":{y:0,u:"../Content/CmdRef/p4_edit.html",l:-1,t:"p4 edit",i:0.0108442632446696,a:"Opens files in a client workspace for edit , or open the current stream spec . Syntax conventions p4 [g-opts] edit  [-c changelist] [-k -n] [-t type] [--remote=remote] file... p4 [g-opts] edit  -So   [-c changelist] Description Files and p4 edit p4 edit opens files for editing within the client\n     ..."},"62":{y:0,u:"../Content/CmdRef/p4_edit_graph.html",l:-1,t:"p4 edit (graph)",i:0.000939997754927864,a:"Open an existing file for edit. Syntax conventions p4 edit [-c changelist# -n] file ... Description Open an existing file for edit.  The server records that the current user has opened the file in the current workspace, and changes the file permission from read-only to read/write. Options"},"63":{y:0,u:"../Content/CmdRef/p4_export.html",l:-1,t:"p4 export",i:0.00195899676876043,a:"Extract journal or checkpoint records. Syntax conventions p4 export -c token [-J prefix] [-f] [-l lines] [-F filter] \n            [-T tableexcludelist] [-P filterpattern] p4 export -j token [-J prefix] [-f] [-l lines] [-F filter] \n           [-T tableexcludelist] [-P filterpattern] p4 export -j ..."},"64":{y:0,u:"../Content/CmdRef/p4_extension.html",l:-1,t:"p4 extension",i:0.00159290525453619,a:"Manage the Helix Core Server extensibility mechanism. Syntax conventions p4 extension --sample myExt p4 extension --package myExt  p4 extension --install myExt.p4-extension[--yes] p4 extension --delete  [--revision] [--path] ExampleInc::myExt [--yes] p4 extension --configure ExampleInc::myExt ..."},"65":{y:0,u:"../Content/CmdRef/p4_failover.html",l:-1,t:"p4 failover",i:0.00167424504471314,a:"Fail over to a standby server. Syntax conventions p4 failover [-y] [ -m | [-i] -s  serverID ] [-w waitForQuiesce][-v verificationTime][failoverMessage]\n Description Allows the administrator of a standby server to initiate the process of failing over from the current master server to that standby ..."},"66":{y:0,u:"../Content/CmdRef/p4_fetch.html",l:-1,t:"p4 fetch",i:0.00184733551112039,a:"Copy files from a remote server into your local server. For distributed version control. See\n\t Using Helix Core Server for Distributed Versioning  (DVCS). Syntax conventions p4 [g-opts] fetch [-r remotespec] [-m depth] [-v -k] [-n | -t] [-Ox] \n                   [-S stream | filespec] p4 [g-opts] ..."},"67":{y:0,u:"../Content/CmdRef/p4_filelog.html",l:-1,t:"p4 filelog",i:0.00432966407370233,a:"Print detailed information about files\u0027 revisions. Syntax conventions p4 [g-opts] filelog [-c change] [-h -i -l -L -t -p -s] [-m max]  FileSpec[ revSpec] Description p4 filelog describes each revision of the files\n      provided as arguments. At least one file or file pattern must be provided\n      ..."},"68":{y:0,u:"../Content/CmdRef/p4_filelog_graph.html",l:-1,t:"p4 filelog (graph)",i:0.000939997754927864,a:"List the commit history of the specified file. Syntax conventions p4 filelog [-d -m max --first-parent] file Description List the commit history of the specified file, from the most recent commit to the initial commit. By default, this command is optimized to NOT display history of a file that is ..."},"69":{y:0,u:"../Content/CmdRef/p4_files.html",l:-1,t:"p4 files",i:0.00298149259392483,a:"Provide information about files in the depot without accessing their\n      contents. Syntax conventions p4 [g-opts] files [-a -A -e] [-i][-m max]  [[ FileSpec][ revSpec]] p4 [g-opts] files -U unload FileSpec Description This command lists each file that matches the  file patterns  provided as ..."},"70":{y:0,u:"../Content/CmdRef/p4_files_graph.html",l:-1,t:"p4 files (graph)",i:0.000939997754927864,a:"List the files in the repo. Syntax conventions p4 files [-m max] file ... Description List the files in the repo. If client syntax is used to specify the file argument, the client view mapping is used to determine the corresponding repo files. Options Examples p4 files //bruno_1666/... The depot for ..."},"71":{y:0,u:"../Content/CmdRef/p4_fix.html",l:-1,t:"p4 fix",i:0.00281311139067755,a:"Link jobs to the changelists that fix them. Syntax conventions p4 [g-opts] fix [-d] [-s status] -c changelistjobName ... Description The  p4 fix command links jobs (descriptions of work\n      to be done) to a changelist (a set of changes to files that does the work\n      described by a job). If the ..."},"72":{y:0,u:"../Content/CmdRef/p4_fixes.html",l:-1,t:"p4 fixes",i:0.00246979652048322,a:"List jobs and the changelists that fix them. Syntax conventions p4 [g-opts] fixes [-i] [-m max] [-j job] [-c changelist] [ FileSpec[revRange]...] Description After a job has been linked to a particular numbered changelist with\n       p4 fix,  p4 change, or  p4 submit, the job is  fixed by the ..."},"73":{y:0,u:"../Content/CmdRef/p4_flush.html",l:-1,t:"p4 flush",i:0.00183148385792912,a:"Update a client workspace’s have list without actually copying any\n      files. Syntax conventions p4 [g-opts] flush [-f -L -n -q] [[ FileSpec][revSpec] ...] Description p4 flush can cause commands to behave in unexpected ways, so use it only when the situation is appropriate. See the two  Examples ..."},"74":{y:0,u:"../Content/CmdRef/p4_fstat.html",l:-1,t:"p4 fstat",i:0.00614430264094699,a:"Dump file info in format suitable for parsing by scripts. Syntax conventions p4 [g-opts] fstat [-F filter -L -T fields -m max -r] [-c|-e change]  \n                   [-Ox -Rx -Sx] [-A pattern ] [-U] file[rev]... Description The  p4 fstat command dumps information about each\n      file, with ..."},});